package xyz.wbsite.dbtool.javafx.po;

import javafx.beans.property.BooleanProperty;
import javafx.beans.property.SimpleBooleanProperty;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class Doc {
    private final BooleanProperty check = new SimpleBooleanProperty();

    public BooleanProperty checkProperty() {
        return check;
    }

    public boolean getCheck() {
        return check.get();
    }

    public void setCheck(boolean check) {
        this.check.set(check);
    }


    //目标请求对象
    private String request;
    //目标请求响应
    private String response;

    private String type;
    private String module;
    private String target;
    private String method;
    private String title;
    private List<DocParam> reqParams = new ArrayList<>();
    private List<DocParam> rspParams = new ArrayList<>();
    private Map<String, DocEnt> entParams = new HashMap<>();

    private boolean isFind = false;

    private String error = "";

    public String getRequest() {
        return request;
    }

    public void setRequest(String request) {
        this.request = request;
    }

    public String getResponse() {
        return response;
    }

    public void setResponse(String response) {
        this.response = response;
    }

    public String getModule() {
        return module;
    }

    public void setModule(String module) {
        this.module = module;
    }

    public String getTarget() {
        return target;
    }

    public void setTarget(String target) {
        this.target = target;
    }

    public String getMethod() {
        return method;
    }

    public void setMethod(String method) {
        this.method = method;
    }

    public String getError() {
        return error;
    }

    public void setError(String error) {
        this.error = error;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public List<DocParam> getReqParams() {
        return reqParams;
    }

    public void setReqParams(List<DocParam> reqParams) {
        this.reqParams = reqParams;
    }

    public List<DocParam> getRspParams() {
        return rspParams;
    }

    public void setRspParams(List<DocParam> rspParams) {
        this.rspParams = rspParams;
    }

    public Map<String, DocEnt> getEntParams() {
        return entParams;
    }

    public void setEntParams(Map<String, DocEnt> entParams) {
        this.entParams = entParams;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public boolean isFind() {
        return isFind;
    }

    public void setFind(boolean find) {
        isFind = find;
    }
}
